guile-2.2 (2.2.3+1-3) unstable; urgency=medium

  * Disable more of test-out-of-memory since it's still failing.  It's
    still failing on at least arm64.

 -- Rob Browning <rlb@defaultvalue.org>  Wed, 21 Feb 2018 23:52:49 -0600

guile-2.2 (2.2.3+1-2) unstable; urgency=medium

  * Disable sandbox.test "1e6 alloc loop" "allocation limit" test.  Add
    0003-Disable-sandbox.test-1e6-alloc-loop-allocation-limit.patch to
    disable a test that appears to be causing the test suite to to hang.

  * Disable intermittently failing test-out-of-memory case.  After
    consultation with upstream, add
    0004-Disable-intermittently-failing-test-out-of-memory-te.patch to
    disable a case in test-out-of-memory that was causing a FTBS on some
    architectures.  Thanks to Aaron M. Ucko for reporting the
    problem. (Closes: 880148)

 -- Rob Browning <rlb@defaultvalue.org>  Wed, 21 Feb 2018 00:21:32 -0600

guile-2.2 (2.2.3+1-1) unstable; urgency=medium

  * Merge upstream version 2.2.3

  * debian/rules: disable -fstack-protector-strong to avoid test crash.
    Without this, test-out-of-memory fails on at least
    unstable/amd64/gcc-7 (cf. https://debbugs.gnu.org/29464).

  * debian/rules: stop forcing -O0 on amd64.  The underlying issue may
    have been resolved.

 -- Rob Browning <rlb@defaultvalue.org>  Fri, 29 Dec 2017 00:31:12 -0600

guile-2.2 (2.2.2+2-1) unstable; urgency=medium

  * Merge 2.2+2 to remove DFSG incompatible files.

  * Add missing debian/copyright entries.

 -- Rob Browning <rlb@defaultvalue.org>  Fri, 04 Aug 2017 11:12:41 -0500

guile-2.2 (2.2.2+1-1) unstable; urgency=medium

  * Merge upstream version 2.2.2.

  * Update debian/ for 2.2.

  * debian/rules: clean the prebuilt files.

  * debian/control: depend on libreadline-dev instead of
    libreadline6-dev.  Thanks to Helmut Grohne for reporting the issue.
    (cf. #857649)

  * Update lintian overrides for 2.2.

  * Do all cleaning in debian/rules, and update list.

  * Accommodate libguilereadline rename to guile-readline.

  * Adjust update-alternatives priority for 2.2.

 -- Rob Browning <rlb@defaultvalue.org>  Mon, 08 May 2017 18:26:46 -0500

guile-2.0 (2.0.13+1-4) unstable; urgency=medium

  * guile.postinst: remove old guile-2.0 alternative.  Thanks to Andreas
    Beckmann (again) for reporting the problem and providing the
    solution. (Closes: 834093)

 -- Rob Browning <rlb@defaultvalue.org>  Fri, 09 Dec 2016 17:02:42 -0600

guile-2.0 (2.0.13+1-3) unstable; urgency=medium

  * guile.postinst: always update alternatives.  Previously the postinst
    might not update the alternatives, producing orphaned entries.
    Thanks to Andreas Beckmann for reporting the problem.
    (Closes: 834093)

 -- Rob Browning <rlb@defaultvalue.org>  Wed, 07 Dec 2016 14:33:19 -0600

guile-2.0 (2.0.13+1-2) unstable; urgency=medium

  * Fix intermittent 00repl-server.test failures.

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 05 Nov 2016 12:51:11 -0500

guile-2.0 (2.0.13+1-1) unstable; urgency=medium

  * Merge upstream version 2.0.13.
    Remove patches that are no longer needed:
      0002-Recognize-more-ARM-targets.patch
      0003-Recognize-m68k-s390x-and-sh4-as-compilation-targets.patch
      0004-Do-not-assume-that-64-bit-integers-will-be-64-bit-al.patch
      0005-VM-Use-register-a3-for-IP_REG-on-m68k.patch
      0006-build-Use-libtoolize-in-autogen.sh.patch
      0007-VM-ASM_MUL-for-ARM-Add-earlyclobber-constraint-to-th.patch
      0008-VM-Allow-the-C-compiler-to-choose-FP_REG-on-ARM.patch
      0009-web-Keep-the-default-size-for-the-client-s-in-kernel.patch
      0010-Fix-shrinking-of-contiguous-bytevectors-as-from-get-.patch
      0011-Fix-bit-count-bug.patch
      0012-Handle-p-in-format-warnings.patch
      0013-Document-prefix-option-in-use-module-clauses.patch
      0014-Fix-SCM_SMOB_OBJECT-_-_0_-_1_-_2_-_3_-LOC.patch
      0015-peval-Handle-optional-argument-inits-that-refer-to-p.patch
    (Closes: 840555 840556)

  * Update debian/copyright for 2.0.13

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 22 Oct 2016 16:21:42 -0500

guile-2.0 (2.0.11+1-12) unstable; urgency=medium

  * guile.prerm: correct alternative path in removal.  Specify the new
    lib/.../bin/guile path in the removal.  Thanks to Andreas Beckmann
    <anbe@debian.org> for reporting the problem.  (Closes: 834093)

  * Look for guile-procedures.txt in pkglibdir.  Add
    0016-Look-for-guile-procedures.txt-in-pkglibdir.patch to adjust
    guile to look for guile-procedures.txt in %guile-build-info's
    pkglibdir first since the content is not architecture independent.
    Thanks to Samuel Thibault <sthibault@debian.org> for reporting the
    problem.

  * Move guile-procedures.txt from share to lib.  (Closes: 816123)

  * Rename guile.1 to guile.2.0.1 during auto install.  Put the final
    path in place before dh_install ever runs (instead of renaming it in
    the install target(s)) so that debian/tmp doesn't change during
    install and dpkg-buildpackage -A actually works.  Thanks to Santiago
    Vila <sanvila@unex.es> for reporting the problem again.
    (Closes: 806042)

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 14 Aug 2016 10:03:33 -0500

guile-2.0 (2.0.11+1-11) unstable; urgency=medium

  * Handle rpath via dh_auto_configure --disable-rpath.

  * debian/rules: get version via dpkg-parsechangelog -S.

  * debian/rules: remove unused buildpackage target.

  * Don't rename the info pages to guile-X.Y.info*.  Remove
    0001-Change-guile-to-guile-X.Y-for-info-pages.patch in preparation
    for handling the info pages via update-alternatives.

  * Remove obsolete debian/guile-libs.README

  * Compile with -O0 to fix GnuTLS test failures.  Apparently -O2 (the
    dpkg-buildflags default) causes failures in the GnuTLS test suite.
    So until the underlying problem is resolved, append -O0 to CFLAGS on
    amd64 via DEB_CFLAGS_MAINT_APPEND (switching from DEB_MAINT_APPEND),
    moving us back to the optimization level we had in 2.0.11+1-9.
    Thanks to James Cowgill <jcowgill@debian.org> for reporting the
    problem, and Andreas Metzler <ametzler@bebt.de> for the
    workaround. (Closes: 809608)

  * Fix architecture independent builds i.e. dpkg-buildpackage -A.
    Thanks to Santiago Vila <sanvila@debian.org> for reporting the
    problem.  (Closes: 806042)

  * Add guile-2.0:native dependency for <cross> builds.  Thanks to
    Helmut Grohne <helmut@subdivi.de> for the fix. (Closes: 809732)

  * Check the exit status of all shell calls in rules.

  * Compute alt priority in rules.

  * Use debian/autogen.sed to generate debian/ files.  Create
    debian/autogen.sed and use it to generate the relevant debian/ files
    instead of perl and a make function.  That simplifies the quoting,
    and makes it easy to see the replacements.

  * Ensure DEBIAN files are ready for dh_installdeb.  Create a list of
    autogen_installdeb_files and have override_dh_installdeb depend on
    it.

  * Handle info pages via update-alternatives.  Install the unmodified
    info pages to /usr/share/info/guile-2.0/ and register them in
    /usr/share/info/ via update-alternatives.  See
    debian/guile-doc.README for more information.

  * Symlink guile and guile-2.0 to lib/.../bin/guile.  This avoids
    having a duplicate binary (bin/guile-2.0 vs the executable in lib)
    which also avoids colliding dbgsym packages.

 -- Rob Browning <rlb@defaultvalue.org>  Mon, 01 Aug 2016 16:07:40 -0500

guile-2.0 (2.0.11+1-10) unstable; urgency=medium

  * Don't handle DEB_BUILD_OPTIONS manually

  * Restore default gcc on arm.  It appears that armhf has been fixed.
    Thanks to Aurelien Jarno <aurel32@debian.org> for the report.  In
    conjunction with switching to the default Debian build flags, it
    looks like armel may work now too.  (Closes: 764532, 792637)

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 05 Sep 2015 17:55:26 -0500

guile-2.0 (2.0.11+1-9) unstable; urgency=medium

  * Always use "gcc" in guile-snarf.  Avoid the gcc-4.8 CC override that
    we had to apply for arm (cf. #762238).  Thanks to Julien Cristau
    <jcristau@debian.org> for pointing out the oversight.

 -- Rob Browning <rlb@defaultvalue.org>  Tue, 07 Oct 2014 14:44:39 -0500

guile-2.0 (2.0.11+1-8) unstable; urgency=medium

  * Add 0010-web-Keep-the-default-size-for-the-client-s-in-kernel.patch
    to fix the default web client receive buffer size.  Thanks to Mark H
    Weaver <mhw@netris.org> for recommending the patch.

  * Add 0011-Fix-shrinking-of-contiguous-bytevectors-as-from-get-.patch
    to fix a problem when shrinking bytevectors.  Thanks to Mark H
    Weaver <mhw@netris.org> for recommending the patch.

  * Add 0012-Fix-bit-count-bug.patch to fix a bug in bit-count*'s
    argument handling.  Thanks to Mark H Weaver <mhw@netris.org> for
    recommending the patch.

  * Don't warn about ~:p in format strings.  Add
    0013-Handle-p-in-format-warnings.patch so that the analyzer will
    know about the existing ~p support.  Thanks to Mark H Weaver
    <mhw@netris.org> for recommending the patch.

  * Document the use-module #:prefix option.  Thanks to Mark H Weaver
    <mhw@netris.org> for recommending the patch.

  * Fix broken SCM_SMOB_OBJECT_* macros.  Add
    0015-Fix-SCM_SMOB_OBJECT-_-_0_-_1_-_2_-_3_-LOC.patch.  Thanks to
    Mark H Weaver <mhw@netris.org> for recommending the patch.

  * Handle #:optional arg values that refer to earlier args.  Add
    0016-peval-Handle-optional-argument-inits-that-refer-to-p.patch to
    incorporate the upstream fix.  Thanks to Mark H Weaver
    <mhw@netris.org> for recommending the patch.

 -- Rob Browning <rlb@defaultvalue.org>  Mon, 06 Oct 2014 10:02:29 -0500

guile-2.0 (2.0.11+1-7) unstable; urgency=medium

  * Add 0009-VM-Allow-the-C-compiler-to-choose-FP_REG-on-ARM.patch to
    incorporate an upstream patch to fix VM register allocation on ARM.
    Thanks to Andreas Barth <aba@ayous.org> for filing a report, and
    Mark H Weaver <mhw@netris.org> for the fix. (Closes: 763115)

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 27 Sep 2014 18:32:59 -0500

guile-2.0 (2.0.11+1-6) unstable; urgency=medium

  * Replace some debian/patches with upstream cherry-picks.

    Replace 0003-Fix-alignment-assumptions-and-m68k-register-name.patch
    with 0005-Do-not-assume-that-64-bit-integers-will-be-64-bit-al.patch
    and 0006-VM-Use-register-a3-for-IP_REG-on-m68k.patch.  This also
    extends the alignment fixes to cover more cases.

    Replace 0004-Check-for-libtoolize-rather-than-libtool.patch with
    0007-build-Use-libtoolize-in-autogen.sh.patch.

    Replace 0007-Add-asm-constraint-modifier-to-ASM_MUL-outputs.patch with
    0008-VM-ASM_MUL-for-ARM-Add-earlyclobber-constraint-to-th.patch.

    Thanks to Mark H Weaver <mhw@netris.org> for tracking them down.

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 27 Sep 2014 14:03:49 -0500

guile-2.0 (2.0.11+1-5) unstable; urgency=medium

  * Revert to gcc-4.8 on arm{el,hf} to fix FTBFS.
    Right now the build dies with gcc-4.9 like this (cf. #762238):
      /tmp/ccVoWJgV.s: Assembler messages:
      /tmp/ccVoWJgV.s:13691: Error: bad immediate value for offset (4096)
    Thanks to Helmut Grohne <helmut@dedup1.subdivi.de>, Mark H Weaver
    <mhw@netris.org>, and Wookey <wookey@wookware.org> for helping track
    down the problem.

  * Fix the ASM_MUL assembly on arm for gcc-4.9.  See
    0007-Add-asm-constraint-modifier-to-ASM_MUL-outputs.patch for the
    details.  Thanks to Mark H Weaver <mhw@netris.org> for the
    suggestion.

 -- Rob Browning <rlb@defaultvalue.org>  Fri, 19 Sep 2014 17:48:23 -0500

guile-2.0 (2.0.11+1-4) unstable; urgency=medium

  * Recognize s390x and sh4 as compilation targets.
    Rename 0006-Recognize-m68k-during-build.patch to
    0006-Recognize-m68k-s390x-and-sh4-as-compilation-targets.patch and
    add the relevant cases.  Thanks to Helmut for reporting the issue.

 -- Rob Browning <rlb@defaultvalue.org>  Thu, 18 Sep 2014 17:07:26 -0500

guile-2.0 (2.0.11+1-3) unstable; urgency=medium

  * Make guile-config executable during cross builds by making
    guile-2.0-dev depend on guile-2.0 with :any.  Thanks to Helmut
    Grohne <helmut@dedup1.subdivi.de> for the patch. (Closes: 761479)

  * Add support for m68k via 0006-Recognize-m68k-during-build.patch.

 -- Rob Browning <rlb@defaultvalue.org>  Tue, 16 Sep 2014 20:20:12 -0500

guile-2.0 (2.0.11+1-2) unstable; urgency=medium

  * Convert to Multi-Arch (see next two entries). (Closes: 757591)

  [ Peter Pentchev ]
  * Bump the debhelper compatibility level to 9 so that it passes the proper
    multiarch libdir to the GNU configure script.
    Add Multi-Arch: and Pre-Depends: headers to the binary packages as
    appropriate.
    Adapt debian/guile-*.install and debian/rules to the multiarch /usr/lib
    subdirectories.
    Make guile-libs.lintian-overrides a bit less specific, since we cannot
    use the full usr/lib/* path any longer; it changes with multiarch, and
    the contents of this file needs to be exactly the same on all
    architectures so that several guile-2.0-libs:* packages may be installed
    simultaneously.
    Avoid some libtool silliness by not letting it use -rpath at all; it'll
    try to because it "realizes" that "/usr/lib/<multiarch>" != "/usr/lib",
    so we are attempting to install to a non-standard directory, right?

  [Rob Browning]
  * Invoke "make install" directly so we can add INSTALL="install -p" to
    preserve the source file timestamps.  This should ensure that no
    architecture's .go files end up being newer than the .scm files.

  * Support DEB_BUILD_OPTIONS=noopt.
    Thanks to Rand Peters <rwpeters@yandex.com> for the suggestion and the
    patch. (Closes: #755955)

  * Fix alignment and m68k register name.
    Add 0003-Fix-alignment-assumptions-and-m68k-register-name.patch to
    incorporate the relevant fixes.  Thanks to Thorsten Glaser
    <tg@mirbsd.de> for the report and Andreas Schwab
    <schwab@linux-m68k.org> for the patch. (Closes: 649718)

  * Call (g)libtoolize instead of (g)libtool.
    Add 0004-Check-for-libtoolize-rather-than-libtool.patch to adjust
    autogen.sh appropriately.  Thanks to Helmut Grohne
    <helmut@subdivi.de> for the report and the patch. (Closes: 761408)

  * Detect aarch64/armel endianness and pointer size correctly.
    Add 0005-Recognize-more-ARM-targets.patch to incorporate the
    relevant upstream patch.  Thanks to Wookey <wookey@wookware.org> for
    reporting the problem.  (Closes: 758463)

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 13 Sep 2014 14:31:20 -0500

guile-2.0 (2.0.11+1-1) unstable; urgency=low

  * Incorporate upstream version 2.0.11.

  * Remove "Suggests: guile-2.0-doc-non-dfsg" from debian/control.  The
    documentation is now compatible with the DFSG, and included in
    guile-2.0-doc in its entirety.  Thanks to Reuben Thomas
    <rrt@sc3d.org> for the report. (Closes: 703500)

  * Don't put the Debian version information in Guile's (version).
    Instead, put it in %guile-build-info, as recommended by the upstream
    developers.  Thanks to Matthias Klose <doko@ubuntu.com> for the
    report. (Closes: 701861)

  * Add the srfi-64/testing.scm copyright to debian/copyright.

  * Move libguile-*-gdb.scm from /usr/lib to /usr/share/gdb/auto-load.
    Add Replaces and Breaks (<< 2.0.11) to debian/control.

  * Move guild from guile-libs to guile-dev, alongside the guile-tools
    symlink.

  * Rewrite the guile executable name in guile-config and guild
    correctly.

 -- Rob Browning <rlb@defaultvalue.org>  Wed, 23 Apr 2014 12:13:11 -0500

guile-2.0 (2.0.9+1-1) unstable; urgency=low

  * Incorporate upstream version 2.0.9.

    Delete 0002-Mark-Unused-modules-are-removed-gc-test-as-unresolve.patch.

 -- Rob Browning <rlb@defaultvalue.org>  Wed, 03 Jul 2013 19:40:30 -0500

guile-2.0 (2.0.5+1-3) unstable; urgency=low

  * Add 0003-Mark-mutex-with-owner-not-retained-threads-test-as-u.patch.
    This should help fix some unpredictable gc-related build failures.

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 18 Mar 2012 13:31:03 -0500

guile-2.0 (2.0.5+1-2) unstable; urgency=low

  * Add 0002-Mark-Unused-modules-are-removed-gc-test-as-unresolve.patch.
    This should help fix some unpredictable build failures.  Thanks to
    Julien Cristau <jcristau@debian.org> for the original report against
    guile-1.8 (#653939).

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 18 Mar 2012 11:44:28 -0500

guile-2.0 (2.0.5+1-1) unstable; urgency=low

  * Incorporate upstream version 2.0.5.

  * Delete 0001-Fix-the-SRFI-60-copy-bit-documentation.patch,
    0002-Define-_GNU_SOURCE-to-fix-the-GNU-kFreeBSD-build.patch, and
    0003-Include-gc.h-rather-than-gc-gc_version.h-in-pthread-.patch.

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 04 Feb 2012 11:33:28 -0600

guile-2.0 (2.0.3+1-3) unstable; urgency=low

  * Add libgc-dev build dependency to guile-2.0-dev.  Thanks to Daniel
    Hartwig <mandyke@gmail.com> for the report.  (Closes: #651924)

  * Add pkg-config build dependency to guile-2.0-dev.  Thanks to
    rixed@happyleptic.org for the report. (Closes: #655574)

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 29 Jan 2012 15:03:18 -0600

guile-2.0 (2.0.3+1-2) unstable; urgency=low

  * Disable SLIB setup for now, since SLIB doesn't support Guile 2.0
    yet.  Thanks to "Aaron M. Ucko" <ucko@debian.org> for the report.
    (Closes: #648680)

  * Add build-deps: libunistring-dev, libgc-dev libffi-dev, and
    pkg-config.  Thanks to "Aaron M. Ucko" <ucko@debian.org> for the
    report, and Svante Signell <svante.signell@telia.com> for an initial
    patch. (Closes: #648679)

  * Automatically extract versions from debian/changelog in
    debian/rules.

  * Create .version and .tarball-version from the values in
    debian/changelog.  Automatically generate a top-level .version and
    .tarball-version based on the values in debian/changelog, so that
    the Guile PACKAGE_VERSION (and output of the version function) will
    include the Debian revision, i.e. (version) => "2.0.3-deb+1-2".

 -- Rob Browning <rlb@defaultvalue.org>  Tue, 22 Nov 2011 21:36:50 -0600

guile-2.0 (2.0.3+1-1) unstable; urgency=low

  * Incorporate new upstream release, and eliminate the DFSG split.  The
    upstream GFDL licensed files no longer have invariant clauses.

  * Adjust debian/* for guile-2.0, and remove alpha and sh4 CFLAGS
    alterations.

  * Finally re-enable threads.

  * Include gc.h rather than gc/gc_version.h in pthread test.  See
    comments in recent gc_version.h.  It should never be included
    directly, and doing so was causing build failures.
    (0003-Include-gc.h-rather-than-gc-gc_version.h-in-pthread-.patch).

 -- Rob Browning <rlb@defaultvalue.org>  Thu, 10 Nov 2011 02:33:11 -0600

guile-1.8 (1.8.8+1-7) unstable; urgency=low

  * Allow guile-1.8 and guile-2.0 manpages to coexist.  Rename the manpage
    from guile.1 to guile-X.Y.1 and use update-alternatives --slave so
    that the Guile manpage will be available via "man guile" or "man
    guile-X.Y".

  * Configure with --disable-error-on-warning.  This fixes build failures
    caused by newer versions of gcc that report new warnings.  Thanks to
    Matthias Klose <doko@debian.org> for the report, ludo@gnu.org (Ludovic
    Courtès) for the fix, and Nobuhiro Iwamatsu <iwamatsu@debian.org> for
    the 1.8.8+1-6.1 NMU which included it.  (Closes: #625355)

  * Add upstream patch to fix sockets.test on non-IPV6 kernels.  Add
    0006-Make-sockets.test-more-robust.patch.  Thanks to Nobuhiro Iwamatsu
    <iwamatsu@nigauri.org> for the report and the pointer to the upstream
    patch. (Closes: #631254)

 -- Rob Browning <rlb@defaultvalue.org>  Wed, 09 Nov 2011 19:17:30 -0600

guile-1.8 (1.8.8+1-6) unstable; urgency=low

  * Add "Replaces: guile-1.8-dev" to guile-1.8-libs to accommodate .so
    moves.  Thanks to Marc Glisse <marc.glisse@normalesup.org> for the
    report.  (closes: #628087)

 -- Rob Browning <rlb@defaultvalue.org>  Fri, 27 May 2011 18:27:28 -0500

guile-1.8 (1.8.8+1-5) unstable; urgency=low

  * Add a copy of the guile binary to /usr/lib/guile-1.8/bin in
    guile-1.8-libs to support the slib postinst trigger; remove the
    guile-1.8-libs dependency on guile-1.8.  Thanks to Bill Allombert
    <ballombe@debian.org> for the report. (closes: #626167)

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 15 May 2011 18:27:49 -0500

guile-1.8 (1.8.8+1-4) unstable; urgency=low

  * Add guile-1.8 dependency to guile-1.8 for slib related postinst code.
    Thanks to Peter De Wachter <pdewacht@gmail.com> for the report.
    (closes: #625243)

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 08 May 2011 12:40:21 -0500

guile-1.8 (1.8.8+1-3) unstable; urgency=low

  * Drop guile-1.8-slib package again, and handle SLIB via a
    guile-1.8-libs /usr/share/slib trigger.  Among other things, these
    changes should fix the recent problems with SLIB support, and should
    also make sure that Guile's SLIB support is adjusted properly whenever
    the slib package is updated.  Thanks to Gert Michael Kulyk
    <gkulyk@yahoo.de> for the report. (closes: #624531)

  * Move libguile?*.so files to guile-1.8-dev now that .la files are gone.
    Guile dynamically loads these libraries via dlopen, so it needs the
    .so files for operations like (use-modules (srfi srfi-13)).  Given the
    way Guile handles the library names upstream (changing the library
    names for ABI changes), putting the .so files in guile-X.Y-libs won't
    cause file conflicts across different major versions.  Thanks to
    Tomasz Melcer <liori@exroot.org> for the report. (closes: #622280)

  * Rename debian/*.lintian to debian/*.lintian-overrides; update
    overrides.

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 01 May 2011 21:55:44 -0500

guile-1.8 (1.8.8+1-2) unstable; urgency=low

  * Don't access uninitialized memory in scm_to_sockaddr().
    Thanks to Thorsten Glaser <tg@mirbsd.de> for the patch.

  * Add flex as a build dependency.
    Thanks to Thorsten Glaser <tg@mirbsd.de> for the patch.

 -- Rob Browning <rlb@defaultvalue.org>  Wed, 27 Apr 2011 22:26:20 -0500

guile-1.8 (1.8.8+1-1) unstable; urgency=low

  * Incorporate upstream release 1.8.8. (closes: #616694)

  * Switch to 3.0 (quilt) source format.

  * Rewrite debian/rules to use "dh $@"; update debian/compat to 8, and
    let dh_auto* handle as much as possible.

  * Depend on libltdl-dev and libgmp-dev, not libltdl3-dev and libgmp3-dev.
    Thanks to Jordi Mallach <jordi@debian.org> for the fix.

  * Remove *.la files from all debs (wheezy release goal).
    Thanks to Jordi Mallach <jordi@debian.org> for the fix. (closes: #621240)

  * Add guile1.4 conflict to guile-1.8 package.
    Thanks to Jordi Mallach <jordi@debian.org> for the fix. (closes: #523949)

  * Add a homepage field to the control file.
    Thanks to Jordi Mallach <jordi@debian.org> for the suggestion.

  * Make guile-1.8 and guile-1.8-dev depend on current guile-1.8-libs version.
    Thanks to Jordi Mallach <jordi@debian.org> for the patch. (closes: #441241)

  * Restore guile-1.8-slib package now that Guile supports it again.
    Thanks to Jordi Mallach <jordi@debian.org> for the patch. (closes: #441110)

  * Update package descriptions.

  * Export fake HOME to make sure the build process doesn't touch the real one.
    Thanks to Jordi Mallach <jordi@debian.org> for the fix.

 -- Rob Browning <rlb@defaultvalue.org>  Tue, 26 Apr 2011 20:41:29 -0500

guile-1.8 (1.8.7+1-3) unstable; urgency=low

  * Change debian/control sections to lisp to match Debian distribution
    overrides.

  * Fix problem with make check and newer libltdl
    (fix-make-check-for-new-libltdl.diff).  Thanks to Lucas Nussbaum
    <lucas@lucas-nussbaum.net> for the report. (closes: #560653)

 -- Rob Browning <rlb@defaultvalue.org>  Mon, 18 Jan 2010 22:32:29 -0800

guile-1.8 (1.8.7+1-2) unstable; urgency=low

  * Add -Xusr/share/info/dir to dh_install and depend on "dpkg (>= 1.15.4)
    | install-info".  Thanks to Jordi Mallach <jordi@debian.org> for an
    interim NMU (1.8.7+1-1.1).

  * Add debhelper ${misc:Depends} to debian/control for all binary
    packages.  Thanks to Jordi Mallach <jordi@debian.org> for an interim
    NMU (1.8.7+1-1.1).

  * Install ./examples to /usr/share/doc/guile-1.8-dev/examples.  Thanks
    to Mario Lang <mlang@debian.org> for the suggestion. (closes: 539317).

  * Add /usr/share/doc/guile-1.8-libs/README.Debian to discuss the
    --with-threads issue.  Thanks to rjs@cs.hut.fi (Riku Saikkonen) for
    the suggestion. (closes: 530010)

  * Change dependency from libreadline5-dev to libreadline6-dev.  Thanks
    to Trafire Arcanegrin <trafirea@gmail.com> for the report and Jordi
    Mallach <jordi@debian.org> for an interim NMU (1.8.7+1-1.1).
    (closes: #550131)

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 25 Oct 2009 19:54:08 -0700

guile-1.8 (1.8.7+1-1) unstable; urgency=low

  * Incorporate new upstream stable release.

  * Do not redefine jmp_buf in a public header, rather define
    scm_jump_buf, etc.  Thanks to lamont@debian.org and Kurt Roeckx
    <kurt@roeckx.be>, and to Ben Hutchings <ben@decadent.org.uk> for the
    patch. (closes: 527527, 506684)

  * Add support for Renesas SuperH architecture.  Thanks to Nobuhiro
    Iwamatsu <iwamatsu@nigauri.org>. (closes: 531378)

 -- Rob Browning <rlb@defaultvalue.org>  Mon, 06 Jul 2009 23:12:42 -0700

guile-1.8 (1.8.6+1-1) unstable; urgency=low

  * Incorporate new upstream stable release. (closes: #522717, #396975)

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 12 Apr 2009 19:56:55 -0700

guile-1.8 (1.8.5+1-4) unstable; urgency=medium

  * Change Architectures back to any where appropriate (i.e. include
    ia64).  (closes: #495209)

 -- Rob Browning <rlb@defaultvalue.org>  Tue, 26 Aug 2008 22:58:14 -0700

guile-1.8 (1.8.5+1-3) unstable; urgency=medium

  * Fix the stack direction check again in order to fix builds on hppa.
    Thanks to Neil Jerram <neiljerram@googlemail.com> for the final
    patch. (closes: #481378)

  * Add kfreebsd-i386 and kfreebsd-amd64 to the relevant Architectures
    lines in debian/control.  Thanks to Petr Salinger
    <Petr.Salinger@seznam.cz> for the fix. (closes: #493164)

  * Fix ia64 continuations.  Thanks to Neil Jerram
    <neiljerram@googlemail.com> for the patch. (closes: #401400)

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 10 Aug 2008 17:44:21 -0700

guile-1.8 (1.8.5+1-2) unstable; urgency=medium

  * Fix the stack direction check on a number of architectures, and the
    mips gc definitions.  Thanks to Thiemo Seufer <ths@networkno.de> for
    the initial report and Neil Jerram <neiljerram@googlemail.com> for the
    final patches. (closes: #481378)

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 03 Aug 2008 16:35:39 -0700

guile-1.8 (1.8.5+1-1) unstable; urgency=medium

  * Incorporate new upstream stable release.

  * Fix gcc 4.3 compilation problems (fixed upstream now).  Thanks to
    Alexander Schmehl <tolimar@debian.org> for the previous, related
    1.8.4+1-2.1 NMU, and to Maximiliano Curia and Daniel Schepler for the
    original patch. (closes: #462384, #466778)

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 10 May 2008 12:18:50 -0700

guile-1.8 (1.8.4+1-2) unstable; urgency=low

  * Remove ia64 from Architectures.  Since it doesn't look like "!ia64" is
    legal syntax for Architectures, just enumerate them all.  Guile
    doesn't support ia64 yet. (closes: #400401)

  * Use -Os on alpha rather than -O2.  Right now -O2 causes make check to
    fail with a segfault in r4rs.test.

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 09 Mar 2008 11:49:23 -0700

guile-1.8 (1.8.4+1-1) unstable; urgency=low

  * Incorporate new upstream stable release.

  * Use @DEB_SRC_EFF_VER@ in debian/guile-doc.install.

  * Add NEWS to /usr/share/doc/guile-*-doc/. (closes: #405231)

  * Add const to ucontext_t* in gc.c for ia64.  Thanks to Matthew Wilcox
    <matthew@wil.cx> and lamont@debian.org. (closes: #465191, #460106)

  * Move menu entry from Apps to Applications.

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 23 Feb 2008 15:04:32 -0800

guile-1.8 (1.8.3+1-1) unstable; urgency=low

  * Incorporate new upstream stable release.

  * Re-disable threads.  It turns out that Guile's libraries aren't ABI
    compatible when compiled with and without threads.  Since Etch shipped
    --without-threads, threads will remain disabled for now. (closes: #439923)

  * Add some lintian overrides.  Thanks to Ludovic RESLINGER.
    (closes: #396977, #397009)

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 18 Nov 2007 14:19:05 -0800

guile-1.8 (1.8.2+1-2) unstable; urgency=low

  * Re-enable threads.

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 25 Aug 2007 17:59:12 -0700

guile-1.8 (1.8.2+1-1) unstable; urgency=low

  * Incorporate new upstream stable release. (closes: #435548)

 -- Rob Browning <rlb@defaultvalue.org>  Fri, 24 Aug 2007 19:09:56 -0700

guile-1.8 (1.8.1+1-5) unstable; urgency=low

  * Add NEWS to guile-1.8-doc. (closes: #405231)

  * Fix GNU/kFreeBSD build.  Thanks to Petr Salinger. (closes: #401168)

 -- Rob Browning <rlb@defaultvalue.org>  Sun,  4 Mar 2007 17:01:16 -0800

guile-1.8 (1.8.1+1-4) unstable; urgency=low

  * Fix additional problems with the test suite on 64-bit
    architectures. (closes: #396119)

  * Fix srfi-14.test (use throw rather than thrown). (closes: #397740)

 -- Rob Browning <rlb@defaultvalue.org>  Fri,  1 Dec 2006 19:08:57 -0800

guile-1.8 (1.8.1+1-3) unstable; urgency=low

  * Add build dependency on texinfo.

 -- Rob Browning <rlb@defaultvalue.org>  Thu, 30 Nov 2006 20:51:41 -0800

guile-1.8 (1.8.1+1-2) unstable; urgency=low

  * Add build dependency on libltdl3-dev. (closes: #395235)

  * Add build dependency on libgmp3-dev. (closes: #396922)

  * Add libltdl3-dev dependency to guile-1.8-dev. (closes: 395290)

  * Add libgmp3-dev dependency to guile-1.8-dev. (closes: #395454)

  * Update Standards-Version. (closes: #396972)

  * Update debhelper dependency to match debian/compat. (closes: #396974)

  * Fix problem with copy-bit and with various tests on 64-bit
    architectures. (closes: #396119)

 -- Rob Browning <rlb@defaultvalue.org>  Thu, 30 Nov 2006 19:04:43 -0800

guile-1.8 (1.8.1+1-1) unstable; urgency=medium

  * Incorporate new upstream stable release.

  * Remove the debian/patches for items fixed upstream (all of them).

  * In accordance with the recent General Resolution
    (http://www.debian.org/vote/2006/vote_001), move all non-DFSG files to
    new packages that will be included in Debian's non-free section.  The
    debian/dfsg-splitter script has been used to split the upstream
    archive.

  * Version the doc package info files so that the doc package for each
    Guile stable series no longer conflicts with the doc package for other
    stable series.  This has made the virtual guile-doc package obsolete.

  * Delete debian/need-empty-autofiles-diff when not needed, always start
    with an empty autofiles.diff when regenerating, and fix a few other
    things in rules.

  * Work around a dh_installinfo bug.  It always inserts \Q and \E around
    the --section, which doesn't work.

 -- Rob Browning <rlb@defaultvalue.org>  Sun,  8 Oct 2006 20:34:21 -0700

guile-1.8 (1.8.0-1) unstable; urgency=low

  * Incorporate new upstream release. (closes: #383910, #316083)

  * Compile --with-threads=no for now to avoid a thread-related bug.  This
    should be a temporary measure.

  * Move guile-config, guile-snarf, guile-tools, and guile scripts to
    guile-1.8-dev package.

  * Disable SLIB support for now since Guile 1.8 doesn't support SLIB
    upstream yet.

  * Rewrite the #! line of appropriate guile scripts to use the versioned
    binary name.  This should have already been the case, but the code in
    debian/rules wasn't quite right.

  * When autofiles.diff is empty, it doesn't show up in the resulting
    Debian source tree (via dpkg-source -x), so fix debian/rules to
    accommodate.

  * NOTE: the 1.8 package was branched from the 1.6 package before the
    1.6.7-3 release, so there are more recent 1.6 releases that are not
    shown below.

 -- Rob Browning <rlb@defaultvalue.org>  Wed, 13 Sep 2006 00:13:02 -0700

guile-1.6 (1.6.7-2) unstable; urgency=low

  * Migrate from dpatch to quilt.

  * Fix FTBFS with gcc-4.0.  Thanks to Daniel Schepler
    <schepler@debian.org>. (closes: #300146)

  * Rebuild with current dpkg-dev to fix the cpp version in guile-snarf.
    Thanks to Daniel Schepler <schepler@debian.org>. (closes: #317600)

  * Update debian/rules to support autofiles.diff, autofiles-sync, etc.

  * Add (pending) upstream patch for compatibility with newer SLIB, but
    adjust the new slib.scm to load slib/init/guile.init rather than
    slib/guile.init in order to accomodate Debian's slib.
    (closes: #334735, #337346, #338823, #340149)

 -- Rob Browning <rlb@defaultvalue.org>  Thu, 12 Jan 2006 20:08:32 -0800

guile-1.6 (1.6.7-1) unstable; urgency=medium

  * new upstream bugfix release. (closes: #279282)
  * updated guile-X.Y-slib package description.
  * changed build dependency to libreadline5-dev. (closes: #279280)

 -- Rob Browning <rlb@defaultvalue.org>  Tue, 21 Dec 2004 13:14:00 -0600

guile-1.6 (1.6.4-4) unstable; urgency=low

  * Fix release oversight (forgot to delete beta pkg warning(s)).

 -- Rob Browning <rlb@defaultvalue.org>  Fri, 29 Aug 2003 15:21:05 -0500

guile-1.6 (1.6.4-3) unstable; urgency=low

  * patch 50_gc-realloc fixes snd gc segfault. Thanks to Sam Hocevar
    <sam@zoy.org>. (closes: #198896)
  * patch 50_m68k-smob-crash fixes m68k build crash.  Thanks to Sam
    Hocevar <sam@zoy.org>. (closes: #193870)
  * patch 50_ia64-ucontext fixes ia64 ucontext related build failure.
    Thanks to Sam Hocevar <sam@zoy.org>. (closes: #193868)
  * fix guile-1.6 conflicts with libguile-dev -- didn't have epoch so
    wasn't having any effect.  guile-1.6 needs to conflict with earlier
    libguile-dev versions because they didn't use update-alternatives for
    bin/guile-X.Y*.  It can't conflict with later versions
    (i.e. guile-1.6-dev and on) because guile-X.Y-dev is supposed to
    provide/conflict with libguile-dev. (closes: #198858)

 -- Rob Browning <rlb@defaultvalue.org>  Fri, 29 Aug 2003 11:13:02 -0500

guile-1.6 (1.6.4-2) unstable; urgency=low

  * continuations.h: include ucontext.h rather than sys/ucontext.h on
    ia64.  This fixes a compilation problem for things that use libguile.
    Thanks to James Treacy. (closes: bug#191464)
  * make guile-1.6 conflict with libguile-dev since libguile-dev didn't
    use update-alternatives for guile-config and guile-tools.  I believe
    this is what has been hosing guile-config in guile-1.6.
    (closes: bug#183977, bug#188322)
  * really fix debian/rules to avoid --enable-maintainer-mode during
    normal package builds.

 -- Rob Browning <rlb@defaultvalue.org>  Mon, 12 May 2003 23:21:57 -0500

guile-1.6 (1.6.4-1) unstable; urgency=low

  * remove --list-missing from debian/rules. (closes: bug#187926)
  * try fix for libqthreads-12 per-arch build problem. Try just producing
    an empty libqthreads-12 .install file on unsupported arches.
    (closes: bug#183686)
  * fix alpha qt assembly bugs. (closes: bug#186981)
  * upstream arch related fixes.
    (closes: bug#189316, bug#189315, bug#186981, bug#186877, bug#184773)

 -- Rob Browning <rlb@defaultvalue.org>  Mon, 21 Apr 2003 13:11:35 -0500

guile-1.6 (1.6.3-4) unstable; urgency=low

  * first 1.6 upload to unstable.

 -- Rob Browning <rlb@defaultvalue.org>  Thu, 27 Feb 2003 18:49:46 -0600

guile-1.6 (1.6.3-3) unstable; urgency=low

  * change some /usr/bin/guile references to /usr/bin/guile-1.6 so we make
    sure to get the right version (thanks Dale).
  * unreleased test version.

 -- Rob Browning <rlb@defaultvalue.org>  Fri,  7 Feb 2003 12:09:34 -0600

guile-1.6 (1.6.3-2) unstable; urgency=low

  * rearrange guile so it allows guile1.4 and guile-1.6 to coexist.
  * unreleased test version.

 -- Rob Browning <rlb@defaultvalue.org>  Wed,  5 Feb 2003 15:09:16 -0600

guile-1.6 (1.6.3-1) unstable; urgency=low

  * unreleased test version.

 -- Rob Browning <rlb@defaultvalue.org>  Sat,  1 Feb 2003 10:16:48 -0600

guile-1.6 (1.6.2-1) unstable; urgency=low

  * new upstream release (still not ready for Debian proper yet).

 -- Rob Browning <rlb@defaultvalue.org>  Thu, 30 Jan 2003 14:17:23 -0600

guile-1.6 (1.6.1-3) unstable; urgency=low

  * handle non-qthreads architectures properly.

 -- Rob Browning <rlb@defaultvalue.org>  Mon, 16 Dec 2002 23:48:51 -0600

guile-1.6 (1.6.1-2) unstable; urgency=low

  * include libguilereadline-v-12.so.* too.
  * add conflicts/replaces goops-doc to guile-1.6-doc.

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 23 Nov 2002 17:12:33 -0600

guile-1.6 (1.6.1-1) unstable; urgency=low

  * trial pkg.

 -- Rob Browning <rlb@defaultvalue.org>  Mon, 11 Nov 2002 10:52:58 -0600
